Cap. 3. Versiunile Debian

# Cap. 3. Versiunile Debian

Debian 0.01 până la 0.90 (august-decembrie 1993)

Debian 0.91 (ianuarie 1994): această versiune avea un sistem simplu de pachete care putea instala și dezinstala pachete. Proiectul crescuse la câteva zeci de persoane în acest moment.

Debian 0.93R5 (martie 1995): responsabilitatea pentru fiecare pachet a fost clar atribuită unui dezvoltator în acest moment, iar gestionarul de pachete (dpkg) a fost utilizat pentru a instala pachete după instalarea unui sistem de bază.

Debian 0.93R6 (noiembrie 1995): apare dselect. Aceasta a fost ultima versiune Debian care a folosit formatul binar a.out; au existat aproximativ 60 de dezvoltatori. Primul server master.debian.org a fost construit de Bdale Garbee și găzduit de HP în paralel cu lansarea 0.93R6. Implementarea unui server master(principal) explicit pe care dezvoltatorii Debian construiau fiecare versiune a dus direct la formarea rețelei de oglinzi Debian și indirect la dezvoltarea multora dintre politicile și procedurile folosite astăzi pentru gestionarea proiectului.

Debian 1.0 nu a fost lansat niciodată: InfoMagic, un furnizor de CD-uri, a livrat din greșeală o versiune de dezvoltare a Debian și a intitulat-o 1.0. Pe 11 decembrie 1995, Debian și InfoMagic au anunțat împreună că această versiune a fost înșelătoare. Bruce Perens explică faptul că datele plasate pe „InfoMagic Linux Developer's Resource 5-CD Set November 1995” ca „Debian 1.0” nu reprezintă versiunea Debian 1.0, ci o versiune de dezvoltare timpurie care este doar parțial în format ELF, care probabil nu va porni sau funcționa corect și care nu reprezintă calitatea unui sistem Debian lansat. Pentru a preveni confuzia între versiunea CD prematură și versiunea Debian reală, Proiectul Debian și-a redenumit următoarea versiune în „Debian 1.1”. Versiunea prematură Debian 1.0 de pe CD este depreciată și nu trebuie utilizată.

Găzduirea master.debian.org a trecut de la HP la i-Connect.Net pe la sfârșitul anului 1995. Michael Neuffer și Shimon Shapiro, fondatorii i-Connect.Net, au găzduit serverul principal pe propriul hardware pentru puțin mai mult de un an. În acest timp, ei au oferit multe servicii pentru Debian, inclusiv rularea a ceea ce era în esență procesul „nou responsabil” (New Maintainer) de la acea vreme, și au ajutat semnificativ la creșterea rețelei de oglinzi Debian.

Debian 1.1 Buzz (17 iunie 1996): aceasta a fost prima versiune Debian cu un nume în cod. Acesta a fost preluat, ca toate celelalte până acum, de la un personaj din unul dintre filmele Toy Story... în acest caz, Buzz Lightyear. În acest moment, Bruce Perens preluase conducerea proiectului de la Ian Murdock, iar Bruce lucra la Pixar, compania care a produs filmele. Această versiune era complet ELF, folosea nucleul Linux 2.0 și conținea 474 de pachete.

Debian 1.2 Rex (12 decembrie 1996): numită după dinozaurul de plastic din filmele Toy Story. Această versiune a constat din 848 de pachete întreținute de 120 de dezvoltatori

Debian 1.3 Bo (5 iunie 1997): Numit după Bo Peep, păstorița. Această versiune a constat din 974 de pachete întreținute de 200 de dezvoltatori.

Debian 2.0 Hamm (24 iulie 1998): numită după purcelușul-pușculiță din filmele Toy Story. Aceasta a fost prima versiune multi-arhitectură a Debian, adăugând suport pentru arhitecturile din seria Motorola 68000. Cu Ian Jackson ca lider de proiect, această versiune a făcut tranziția la libc6, și a constat din peste 1500 de pachete întreținute de peste 400 de dezvoltatori.

Debian 2.1 Slink (9 martie 1999): numită după câinele-furtun din film. Au fost adăugate încă două arhitecturi, Alpha și SPARC. Cu Wichert Akkerman ca lider de proiect, această versiune a constat în aproximativ 2250 de pachete și a necesitat 2 CD-uri în setul oficial dedicat. Principala inovație tehnică a fost introducerea apt, o nouă interfață de gestionare a pachetelor. Emulată pe scară largă, apt a abordat problemele rezultate din creșterea continuă a Debian și a stabilit o nouă paradigmă pentru achiziționarea și instalarea pachetelor pe sistemele de operare Open Source.

Debian 2.2 Potato (15 august 2000): numită după „Mr Potato Head” din filmele Toy Story. Această versiune a adăugat suport pentru arhitecturile PowerPC și ARM. Cu Wichert încă servind ca lider de proiect, această versiune a constat în mai mult de 3900 de pachete binare derivate din peste 2600 de pachete sursă menținute de mai mult de 450 de dezvoltatori Debian.

Debian 3.0 Woody (19 iulie 2002): numită după personajul principal al filmelor Toy Story: „Woody” cowboy-ul. În această versiune au fost adăugate și mai multe arhitecturi: IA-64, HP PA-RISC, MIPS (big endian), MIPS (little endian) șiS/390. Aceasta este, de asemenea, prima versiune care include software criptografic datorită faptului că restricțiile pentru export sunt atenuate în SUA și, de asemenea, prima care include KDE, acum că problemele de licență cu Qt au fost rezolvate. Cu Bdale Garbee numit recent lider de proiect și peste 900 de dezvoltatori Debian, această versiune conținea aproximativ 8 500 de pachete binare și 7 CD-uri binare în setul oficial.

Debian 3.1 Sarge (6 iunie 2005): numită după sergentul din „Green Plastic Army Men”. Nu au fost adăugate arhitecturi noi la această versiune, deși un port AMD64 neoficial a fost publicat în același timp și distribuit prin intermediul noului sit de găzduire a proiectului Alioth. Această versiune prezintă un nou program de instalare: debian-installer, o bucată modulară de software care prezintă detectarea automată a hardware-ului, caracteristici de instalare nesupravegheată și a fost lansată complet tradusă în peste treizeci de limbi. De asemenea, a fost prima versiune care a inclus o suită de birotică completă: OpenOffice.org. Branden Robinson tocmai fusese numit lider de proiect. Această versiune a fost realizată de mai mult de nouă sute de dezvoltatori Debian și conținea aproximativ 15.400 de pachete binare și 14 CD-uri binare în setul oficial.

Debian 4.0 Etch (8 aprilie 2007): numită după jucăria schiță din film. O arhitectură a fost adăugată în această versiune: AMD64, iar suportul oficial pentru m68k a fost abandonat. Această versiune a continuat să utilizeze debian-installer, dar oferind în această versiune un program de instalare grafic, verificarea criptografică a pachetelor descărcate, o partiționare mai flexibilă (cu suport pentru partiții criptate), o configurare simplificată a poștei electronice, o selecție mai flexibilă a mediului grafic de birou, o localizare simplificată dar îmbunătățită și noi moduri, inclusiv un mod rescue (recuperare). Instalările noi numai trebuiau să repornească mașina în cursul procesul de instalare, deoarece cele două faze anterioare de instalare erau acum integrate. Acest nou program de instalare a oferit suport pentru scripturile care utilizează caractere compuse și limbi complexe în versiunea sa grafică, crescând numărul de traduceri disponibile la peste cincizeci. Sam Hocevar a fost numit lider de proiect în aceeași zi, iar proiectul a inclus mai mult de o mie treizeci de dezvoltatori Debian. Lansarea conținea aproximativ 18.000 de pachete binare pe 20 de CD-uri binare (3 DVD-uri) în setul oficial. De asemenea, au fost disponibile două CD-uri binare pentru instalarea sistemului cu medii grafice de birou alternative, diferite de cel implicit.

Debian 5.0 Lenny (februarie 2009): numită după binoclul din filmele Toy Story. O arhitectură a fost adăugată în această versiune: ARM EABI (sau armel), oferind suport pentru noile procesoare ARM și depreciind vechea adaptare ARM (arm). Adaptarea pentru arhitectura m68k nu a fost inclusă în această versiune, deși era totuși furnizată în distribuția unstable (instabilă). Această versiune nu a inclus adaptarea pentru arhitectura FreeBSD, deși s-a lucrat mult la această adaptare pentru a o include, acesta nu îndeplinea încă cerințele de includere pentru această versiune.

Suportul pentru dispozitive mici în această versiune a fost sporit prin adăugarea suportului pentru platforma Orion de la Marvell, care a fost utilizată în multe dispozitive de stocare și a oferit suport pentru mai multe Netbook-uri. Au fost adăugate câteva instrumente noi de construcție care au permis pachetelor Debian să fie construite și micșorate pentru sistemele ARM încorporate. De asemenea, au fost acum acceptate netbook-uri de la diferiți producători, iar distribuția a oferit software mai potrivit pentru calculatoarele cu performanțe relativ scăzute.

A fost, de asemenea, prima versiune care a oferit versiuni gratuite ale tehnologiei Java de la Sun, făcând posibilă furnizarea de aplicații Java în secțiunea main.

Debian 6.0 Squeeze (februarie 2011): numită după extratereștrii verzi cu trei ochi.

Lansarea a fost înghețată pe 6 august 2010, când mulți dintre dezvoltatorii Debian s-au adunat la cea de-a 10-a DebConf din orașul New York.

În timp ce două arhitecturi (alpha și hppa) au fost abandonate, două arhitecturi ale noilor adaptări FreeBSD (kfreebsd-i386 și kfreebsd-amd64) au fost puse la dispoziție ca previzualizare tehnologică, inclusiv nucleul și instrumentele pentru utilizatori, precum și software-ul comun pentru servere (deși nu există încă caracteristici de mediu grafic de birou avansate). Aceasta a fost prima dată când o distribuție Linux a fost extinsă pentru a permite și utilizarea unui nucleu non-Linux.

Noua versiune a introdus o secvență de pornire bazată pe dependențe, care a permis procesarea în paralel a scripturilor de pornire, accelerând pornirea sistemului.

Debian 6 a fost prima versiune care a beneficiat de asistență pe termen lung („Long Term Support”: LTS), un proiect pentru a extinde durata de viață a tuturor versiunilor stabile Debian la (cel puțin) 5 ani. Debian LTS nu a fost gestionat de echipa de securitate Debian, ci de un grup separat de voluntari și companii interesate să îl facă un succes. Debian 6 a fost susținut până la sfârșitul lunii februarie 2016 și limitat la arhitecturile i386 și amd64.

Debian 7.0 Wheezy (mai 2013): numită după pinguinul de jucărie din cauciuc cu un papion roșu.

Lansarea a fost înghețată pe 30 iunie 2012, foarte aproape de întâlnirea dezvoltatorilor Debian la cea de-a 12-a DebConf de la Managua, Nicaragua.

În această versiune a fost inclusă o singură arhitectură (armhf) și a fost introdus suportul multi-arhitectură, care a permis utilizatorilor să instaleze pachete din mai multe arhitecturi pe aceeași mașină. Îmbunătățirile aduse procesului de instalare au permis, pentru prima dată, persoanelor cu deficiențe de vedere să instaleze sistemul utilizând software-ul vocal.

Aceasta a fost, de asemenea, prima versiune care a acceptat instalarea și pornirea în dispozitive care utilizează firmware UEFI.

Debian 7 a avut asistență pe termen lung („Long Term Support”: LTS) pentru arhitecturile i386, amd64, armel și armhf până la sfârșitul lunii mai 2018.

Debian 8 Jessie (aprilie 2015): numită după păpușa „cowboy” care a apărut prima dată în Toy Story 2.

Această versiune a introdus pentru prima dată sistemul de inițiere systemd ca implicit. Au fost introduse două arhitecturi noi: arm64 și ppc64el și au fost eliminate trei arhitecturi: s390 (înlocuită cu s390x), ia64 și sparc. Arhitectura Sparc a fost prezentă în Debian timp de 16 ani, dar nu a beneficiat de sprijinul dezvoltatorilor pentru a putea fi menținută în distribuție.

Versiunea a inclus multe îmbunătățiri de securitate, cum ar fi un nou nucleu care a anulat un întreg set de vulnerabilități de securitate (atacuri symlink), o nouă modalitate de a detecta pachetele care se aflau sub suport de securitate, mai multe pachete construite cu opțiuni de compilare securizate și un nou mecanism (needrestart) pentru a detecta subsistemele care trebuiau repornite pentru a propaga actualizările de securitate după o actualizare.

Debian 8 a beneficiat de asistență pe termen lung (LTS) pentru arhitecturile i386, amd64, armel și armhf până la sfârșitul lunii iunie 2020.

Debian 9 Stretch (iunie 2017): numită după caracatița de cauciuc de jucărie cu ventuze pe cele opt brațe lungi care a apărut în Toy Story 3.

Această versiune a fost înghețată pe 7 februarie 2017.

Debian 9 a fost dedicată fondatorului proiectului, Ian Murdock, care a decedat pe 28 decembrie 2015.

Suportul pentru arhitectura powerpc a fost eliminat în această versiune, în timp ce arhitectura mips64el a fost introdusă. Această versiune a introdus pachete de depanare cu un nou depozit în arhivă, pachetele din acest depozit au furnizat automat simboluri de depanare pentru pachete. Firefox și Thunderbird au revenit în Debian, înlocuind versiunile lor fără-marcă Iceweasel și Icedove, care erau prezente în arhivă de mai bine de 10 ani. Mulțumită proiectului „Construcții reproductibile” (Reproducible Builds), peste 90% din pachetele sursă incluse în Debian 9 au fost capabile să construiască bit cu bit pachete binare identice.

Debian 9 a beneficiat de asistență pe termen lung (LTS) pentru arhitecturile i386, amd64, armel și armhf până la sfârșitul lunii iunie 2022.

Debian 10 Buster (iulie 2019): numită după câinele de companie al lui Andy, primit ca cadou de Crăciun în finalul filmului Toy Story.

Cu această versiune, Debian a inclus pentru prima dată un cadru obligatoriu de control al accesului activat implicit (AppArmor). De asemenea, a fost prima versiune Debian livrată cu programe bazate pe Rust precum Firefox, ripgrep, fd, exa, etc. și un număr semnificativ de biblioteci bazate pe Rust (peste 450). În Debian 10, GNOME utilizează în mod implicit serverul de afișare Wayland în loc de Xorg, oferind un design mai simplu și mai modern și avantaje pentru securitate. Suportul UEFI („Unified Extensible Firmware Interface”) introdus pentru prima dată în Debian 7 a continuat să fie mult îmbunătățit în Debian 10, fiind inclus pentru arhitecturile amd64, i386 și arm64 și funcționând „din fabrică” pe majoritatea mașinilor cu Secure Boot.

Debian 10 a beneficiat de asistență pe termen lung (LTS) pentru arhitecturile i386, amd64, armel și armhf până la sfârșitul lunii iunie 2024.

Debian 11 Bullseye (14 august 2021): numită după calul de jucărie din lemn al lui Woody care a apărut în Toy Story 2.

Această versiune conține peste 11.294 de pachete noi pentru un număr total de 59.551 de pachete, împreună cu o reducere semnificativă de peste 9.519 de pachete care au fost marcate ca „obsolete” și eliminate. 42.821 de pachete au fost actualizate, iar 5.434 de pachete au rămas neschimbate.

Debian 11 a permis imprimarea și scanarea fără controlor, fără a fi nevoie de controlori specifici furnizorilor (adesea neliberi), și a livrat un nucleu Linux cu suport pentru sistemul de fișiere exFAT. S-a renunțat la suportul pentru arhitectura mips, menținându-se suportul pentru arhitecturile mipsel (little-endian) pentru echipamente pe 32 de biți și arhitectura mips64el pentru echipamente little-endian pe 64 de biți.

Echipa Debian Med a luat parte la lupta împotriva COVID-19 prin împachetarea de software pentru cercetarea virusului la nivel de secvență și pentru combaterea pandemiei cu ajutorul instrumentelor utilizate în epidemiologie; această activitate a continuat concentrându-se pe instrumentele de învățare automată pentru ambele domenii.

Debian 12 Bookworm (10 iunie 2023): numită după un vierme de jucărie verde cu o lanternă încorporată care a apărut în Toy Story 3.

Această versiune conține peste 11.089 de pachete noi pentru un număr total de 64.419 de pachete, în timp ce peste 6.296 de pachete au fost eliminate ca fiind „obsolete”. 43.254 de pachete au fost actualizate în această versiune. Utilizarea totală a discului pentru bookworm este de 365.016.420 kB (365 GB), și este alcătuită din 1.341.564.204 linii de cod.

În urma Rezoluției Generale din 2022 despre firmware-ul non-free, Contractul Social Debian a fost ajustat și o nouă zonă de arhivă numită non-free-firmware a fost introdusă, făcând posibilă separarea firmware-ului neliber de celelalte pachete nelibere. Majoritatea pachetelor de firmware neliber au fost mutate de la non-free la non-free-firmware. Această separare face posibilă construirea unei varietăți de imagini oficiale de instalare. Și face ca instalarea Debian pe echipamentele populare folosind programul oficial de instalare Debian să fie mult mai ușoară.

Un total de nouă arhitecturi sunt acceptate oficial pentru bookworm.

Echipa Debian Cloud publică bookworm pentru trei servicii populare de „informatică în nori”.

Între versiuni, în Bug#978636 (februarie 2021), Comitetul tehnic a hotărât că Debian bookworm va oferi suport doar pentru aranjamentul sistemului de fișiere rădăcină merged-usr[1], eliminând suportul pentru aspectul non-merged-usr. Pentru sistemele instalate ca buster sau bullseye nu vor exista modificări ale sistemului de fișiere; cu toate acestea, sistemele care utilizează aspectul mai vechi vor fi convertite în timpul actualizării.

Mulțumită muncii combinate a echipei de securitate Debian (Debian Security) și a echipei de asistență pe termen lung a Debian (LTS) bookworm va fi susținut pe patru arhitecturi până în iunie 2028 (5 ani de la lansare).

Debian 13 Trixie (din august 2024 este distribuția testing): Trixie este un Triceratops albastru de jucărie care a apărut în Toy Story 3.

[1] usr-merge (sau merged-us*fuzionare cu /usr) sau `/usr`-move(mutare la /usr)) este o dispunere a sistemului de fișiere în care directoarele tradiționale unix `/bin`, `/sbin`, `/lib` și `/lib64` sunt înlocuite cu legături simbolice către omologii lor din `/usr`. Astfel, de exemplu, `/bin` este înlocuit de o legătură simbolică către `/usr/bin` . În 2012, usr-merge a fost implementat de Fedora Linux, precum și de Ubuntu Linux. Consultați și The Case For The Usr Merge and the Notele de lansare Bookworms.

Cap. 2. Conducerea proiectului |  | Cap. 4. Istoria detaliată